Bug 66301

Summary: Add a method to properly write the header necessary for a MSG attachment
Product: POI Reporter: lyn.evans
Component: HSMFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: major    
Priority: P2    
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: All   
Attachments: POI-Scratchpad HSMF patch
POI-Scratchpad HSMF patch #2

Description lyn.evans 2022-10-10 21:55:03 UTC
The NetDocuments OCR process produces a MSG attachment that is the text-only result from an OCR scan of the attachment.

The NetDocuments Frida service (Java process), updates MSG metadata - i.e. extension, size - in the MSG header.

Apache POI had the ability to write datatypes, but our developers added methods to the POI HSMF module to properly write the header necessary for a MSG attachment.

So, this patch to POI HSMF is the functionality to write attributes to the MSG header.
Comment 1 PJ Fanning 2022-10-11 15:20:50 UTC
Can we get the patch attachment when you are ready? Or better still, a Github PR.
Comment 2 lyn.evans 2022-10-11 19:53:29 UTC
Created attachment 38408 [details]
POI-Scratchpad HSMF patch
Comment 3 PJ Fanning 2022-10-11 20:51:01 UTC
Hi Lyn - this needs a test - it can't be merged without one.
Comment 4 lyn.evans 2022-10-18 16:51:56 UTC
Created attachment 38421 [details]
POI-Scratchpad HSMF patch #2
Comment 5 PJ Fanning 2022-10-18 19:11:04 UTC
thanks - added r1904685 - I made a couple of small changes if you want to review them
Comment 6 lyn.evans 2022-10-18 22:16:37 UTC
(In reply to PJ Fanning from comment #5)
> thanks - added r1904685 - I made a couple of small changes if you want to
> review them

Looks great. Is there a way to amend the commit message and include Yurii Shyman and Rick Cowdell as the developers ?
Comment 7 PJ Fanning 2022-10-18 23:50:47 UTC
I'm afraid that changing the commit message is not really feasible.
Comment 8 lyn.evans 2022-10-18 23:57:50 UTC
(In reply to PJ Fanning from comment #7)
> I'm afraid that changing the commit message is not really feasible.

Understood.
Comment 9 lyn.evans 2022-11-01 15:43:58 UTC
P.J. - Can you provide details for the remaining steps for this POI patch?
       I see that the patch is merged into `trunk` for GitHub.
       
       Is there a calendar documenting when the next POI release is scheduled?
       How/when does a bug get closed ?
Comment 10 PJ Fanning 2022-11-02 08:43:46 UTC
There are currently no plans for a formal POI release. They occur approximately every 6 months. Releases take quite a lot of volunteer effort.

You can build your own jars if you need the latest fixes.

One page to keep an eye is https://poi.apache.org/changes.html